Subject: [mobile-ip] HMIPv6 resubmission - different IPR statement

From: "Hesham Soliman (EAB)" <[email-masked]>
Date: Tue, 2 Jul 2002 17:24:05 +0200

Folks, 

HMIPv6 ver 05 has expired and I've resubmitted
it yesterday. Until it gets announced you 
can find it here:
http://standards.ericsson.net/Hesham/draft-ietf-mobileip-hmipv6-06.txt

This draft is identical to ver 05, we resubmitted it 
for two reasons, to keep it on the web (we've got
some private emails from people interested in the 
draft but couldn't find it), and because we will
have a new IPR statement. The IPR people in my company
wanted to reference an existing draft inside the statement
(and all future revisions). 

The new IPR statement will clearly state that licencing
is royalty-free for open source implementations. 
I'll send a link when the statement is on the IETF page. 

As far as the technical content is concerned (the interesting 
part!) we were planning on updating the draft according 
to the latest MIPv6 draft. However, since rev 18 came out very
recently, we couldn't be sure about meeting the deadline, 
but the next update of HMIPv6 will match the latest
MIPv6 spec. The following needs to be done:

- Update BU message format to match the latest BU format
- Make sure there are no conflicts with the new MH
- Security considerations (a significant section has to
  be added here regarding the MN - MAP SA). We should really
  discuss this one on the list first. I'll try to write up 
  a brief analysis to kick start the discussion. 
- Changes to Extended mode to be able to work with RR.  
- Remove the discussion on mobile networks.
- Any other comments on the ML

Cheers,
Hesham